* sample jkey calls.  Uses FOXHELP.DBF for example purposes
*

**** First we will create a test database called JKEYSAMP.DBF
**** from the FOXHELP table.  It will create an index on the
**** TOPIC field, which will be used for jkey.

OldSysMenu = set("sysmenu")

set safe on
close data
if !file("jkeysamp.dbf")
	use (sys(2004)+"foxhelp") again && open the FOXHELP file
	copy to jkeysamp fields topic, class
	use jkeysamp
	index on upper(topic) tag topic
endif

**** Load JKEY into memory
set libr to jkey

**** Defin the window that will be used for the browse.
define window jbrowser from 10, 5 to 20, 75 color sche 10 ;
    close float grow zoom

**** Open the JKEYSAMP file (created above)
use jkeysamp order topic

**** Set the SYSMENU OFF before using JKEY.
set sysmenu off

**** Start JKEY up - telling it to convert all key presses to upper
**** case.
=jkeyinit("U")

**** Do the browse, after some instructions...
clear
@ 2, 2 say '=jKeyInit("U")'
@ 4, 2 say "Try typing things like SET, BROWSE, SUBS"
@ 6, 2 say "Press [Enter] to exit JKEY"

push key clear
on key label enter keyb chr(23)
brow window jbrowser

**** Stop JKEY from intercepting keys
=jkeycanc()
pop key

**** Determine wether or not the last keypress resulted in a
**** successfull seek.
if jkeyfound()
	? "Got one"
else
	? "Oh well..."
endif

****
**** An example with the "SEEK PREFIX" parameter added...
****
clear
@ 2, 2 say '=jKeyInit("U", "SET ")'
@ 4, 2 say "Try typing things like TALK, and NEAR"
@ 6, 2 say "Press [Enter] to exit JKEY"


push key clear
on key label enter keyb chr(23)
=jkeyinit("U", "SET ")
brow window jbrowser key "SET "
=jkeycanc()
pop key


****
**** An example with the "TALK PREFIX" parameter added...
****
clear
@ 2, 2 say '=jKeyInit("U", "SET ", "Find this: ")'
@ 4, 2 say "Try typing things like TALK, and NEAR"
@ 6, 2 say "Press [Enter] to exit JKEY"

push key clear
on key label enter keyb chr(23)
=jkeyinit("U", "SET ", "Find this: ")
brow window jbrowser key "SET "
=jkeycanc()
pop key


****
**** An example with the "TALK PREFIX" parameter added, but without
**** a SEEK PREFIX
clear
@ 2, 2 say '=jKeyInit("U", "", "Find this: ")'
@ 4, 2 say "Try typing things like SET, BROWSE, SUBS"
@ 6, 2 say "Press [Enter] to exit JKEY"

push key clear
on key label enter keyb chr(23)
=jkeyinit("U", "", "Find this: ")
brow window jbrowser
=jkeycanc()
pop key


set sysmenu &OldSysMenu.
close data
clear
=jkeyabout()
set libr to
